## python-tornado 2.1.0

=== website/Makefile ===
SPHINXOPTS=-W -d sphinx/build/doctrees sphinx

.PHONY: sphinx
sphinx:
	sphinx-build -b html $(SPHINXOPTS) sphinx/build/html

.PHONY: coverage
coverage:
	sphinx-build -b coverage ${SPHINXOPTS} sphinx/build/coverage
	cat sphinx/build/coverage/python.txt

clean:
	rm -rf sphinx/build

## python-tornado 0.2

=== debian/changelog ===
python-tornado (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #551520)

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 20 Mar 2010 17:38:45 +0100

=== debian/control ===
Source: python-tornado
Section: python
XS-Python-Version: >= 2.5
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-all-dev (>= 2.5)
Standards-Version: 3.8.4
Homepage: http://www.tornadoweb.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-tornado/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-tornado/trunk/

Package: python-tornado
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-pycurl, python (>= 2.6) |python-simplejson
Recommends: python-mysqldb
Description: scalable, non-blocking web server and tools
 Tornado is an open source version of the scalable, non-blocking
 web server and tools that power FriendFeed. The FriendFeed application
 is written using a web framework that looks a bit like web.py or
 Google's webapp, but with additional tools and optimizations to take
 advantage of the underlying non-blocking infrastructure.

## python-tornado 1.0.1

=== debian/changelog ===
python-tornado (1.0.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Aug 2010 15:14:57 +0200

=== debian/watch ===
version=3
http://www.tornadoweb.org/ static/tornado-(.+)\.tar\.gz

## python-tornado 1.2.1

=== debian/changelog ===
python-tornado (1.2.1-1) unstable; urgency=low

  * New upstream release 
  * debian/control
    - Bump Standards-Version to 3.9.2

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 09 May 2011 16:56:04 +0200

python-tornado (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Added debian/examples
  * Added patch to ignore ca-certificates.crt from sources
  * Added patch to look for ca-certificates.crt at the right place
  * debian/copyright
    - Added copyrights and license for some files
    - some files no more in the upstream sources
  * debian/control
    - Removed python-support
    - Replaced XS-Python-Version by X-Python-Version
    - Added Breaks: ${python:Breaks}
    - Added Recommends: python (>= 2.6) | python-multiprocessing
    - Added Depends: ca-certificates
  * debian/rules
    - Replaced dh $@ by dh $@ --with python2
  * debian/watch
    - fixed the path

 -- Carl Chenet <chaica@ohmytux.com>  Tue, 01 Mar 2011 02:38:06 +0100

=== debian/control ===
Source: python-tornado
Section: python
X-Python-Version: >= 2.5
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3)
Standards-Version: 3.9.2
Homepage: http://www.tornadoweb.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-tornado/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-tornado/trunk/

Package: python-tornado
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-pycurl, python (>= 2.6) | python-simplejson, ca-certificates
Recommends: python-mysqldb, python (>= 2.6) | python-multiprocessing
Breaks: ${python:Breaks}
Description: scalable, non-blocking web server and tools
 Tornado is an open source version of the scalable, non-blocking
 web server and tools that power FriendFeed. The FriendFeed application
 is written using a web framework that looks a bit like web.py or
 Google's webapp, but with additional tools and optimizations to take
 advantage of the underlying non-blocking infrastructure.

## python-tornado 2.1.0

=== debian/changelog ===
python-tornado (2.1.0-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #636602)
  * Refreshed patches
  * Updated debian/copyright
  * Added myself to uploaders to have bugs closed with uploads

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Sep 2011 19:58:11 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 X-Python-Version: >= 2.5
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Carl Chenet <chaica@ohmytux.com>
+Uploaders: Carl Chenet <chaica@ohmytux.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3)
 Standards-Version: 3.9.2
 Homepage: http://www.tornadoweb.org/

=== debian/watch ===
version=3
http://githubredir.debian.net/github/facebook/tornado /v(.*).tar.gz

## python-tornado 2.3

=== debian/changelog ===
python-tornado (2.3-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add CVE-2014-9720.patch.
    The XSRF token is now encoded with a random mask on each request. This
    makes it safe to include in compressed pages without being vulnerable to
    the BREACH attack. This applies to most applications that use both the
    xsrf_cookies and gzip options (or have gzip applied by a proxy).

 -- Markus Koschany <apo@debian.org>  Sun, 15 May 2016 19:04:18 +0200

python-tornado (2.3-2) unstable; urgency=low

  * debian/control
    - Replaced the python3.2 in the Depends field of python3-tornado
      by $(python3:Depends)
  * Renamed python-tornado.examples to examples
  * Removed python3-tornado.examples

 -- Carl Chenet <chaica@debian.org>  Sun, 10 Jun 2012 01:26:50 +0200

python-tornado (2.3-1) unstable; urgency=low

  [ Julian Taylor ]
  * Team upload
  * new upstream release
    - change debian/watch to download section instead of tag tarballs
      tag tarball contain lots of unnecessary website and test data
    - drop upstream applied CVE-2012-2374.patch
    - refresh patches
    - closes LP: #998615
  [ Carl Chenet]
  * debian/control
    - Replaced chaica@ohmytux.com by chaica@debian.org
    - Replace (python3:Depends) in python3-tornado Depends field
      because of https://github.com/facebook/tornado/issues/450
    - Modified the short description of python3-tornado package
  * Renamed examples to python-tornado.examples
  * Added python3-tornado.examples

 -- Carl Chenet <chaica@debian.org>  Sun, 10 Jun 2012 00:12:24 +0200

python-tornado (2.1.0-3) unstable; urgency=high

  [ Julian Taylor ]
  * Team upload
  * bump X-Python-Version to >= 2.6
    lower versions require arch any for custom epoll extension
  * move to Section: web (Closes: #665854)
    - override lintian wrong-section-according-to-package-name
  * CVE-2012-2374.patch adopted from upstream's GIT (Closes: #673987)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 19:11:51 -0400

python-tornado (2.1.0-2) unstable; urgency=low

  [ Thomas Kluyver ]
  * Package for Python 3 (Closes: #653643)

  [ Julian Taylor ]
  * make packages arch all
  * debian/control
    - wrap-and-sort fields
  * remove unnecessary Dependencies and Breaks
  * convert copyright to dep5
  * bump standard to 3.9.3 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Mar 2012 18:08:33 -0400

=== debian/control ===
Source: python-tornado
Section: web
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3),
               python3-all,
               python3-setuptools
Standards-Version: 3.9.3
Homepage: http://www.tornadoweb.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-tornado/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-tornado/trunk/

Package: python-tornado
Architecture: all
Depends: ca-certificates,
         python (>= 2.6) | python-simplejson,
         python-pycurl,
         ${misc:Depends},
         ${python:Depends}
Recommends: python (>= 2.6) | python-multiprocessing, python-mysqldb
Description: scalable, non-blocking web server and tools
 Tornado is an open source version of the scalable, non-blocking
 web server and tools that power FriendFeed. The FriendFeed application
 is written using a web framework that looks a bit like web.py or
 Google's webapp, but with additional tools and optimizations to take
 advantage of the underlying non-blocking infrastructure.
 .
 This is the Python 2 version of the package.

Package: python3-tornado
Architecture: all
Depends: ca-certificates, ${misc:Depends}, ${python3:Depends}
Description: scalable, non-blocking web server and tools - Python 3 package
 Tornado is an open source version of the scalable, non-blocking
 web server and tools that power FriendFeed. The FriendFeed application
 is written using a web framework that looks a bit like web.py or
 Google's webapp, but with additional tools and optimizations to take
 advantage of the underlying non-blocking infrastructure.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp \
	  --force --no-compile -O0 --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
https://github.com/facebook/tornado/downloads .*/tornado-(.*).tar.gz

## python-tornado 2.4.1

=== debian/changelog ===
python-tornado (2.4.1-1) experimental; urgency=low

  * New upstream release (Closes: #698566)
  * run python2 test during build (Closes: #663928)
  * add autopkgtests
  * ignoreuserwarning.patch:
    disable warning in test to allow testing with the package already installed
  * bump standards to 3.9.4, no changes required
  * random-port.patch: get a random free port for tests
  * don't compress example python files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 23 Jan 2013 20:26:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3),
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.tornadoweb.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-tornado/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-tornado/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-tornado
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,12 @@
 	dh_auto_clean
 	rm -rf build
 	rm -rf *.egg-info
+
+override_dh_auto_test:
+	# python3 tests only in autopkgtest because I'm lazy
+	set -e && for pyvers in $(PYTHON2); do \
+	    PYTHONPATH=$(PWD) python$$pyvers ./tornado/test/runtests.py; \
+	done
+
+override_dh_compress:
+	dh_compress -X.py

## python-tornado 3.1.1

=== debian/changelog ===
python-tornado (3.1.1-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:12 +0000

python-tornado (3.1.1-1ubuntu1) trusty; urgency=medium

  * debian/tests/python3: The python3 tests are known-broken when
    python3-pycurl is installed, see
    https://github.com/facebook/tornado/issues/671. Skip them if it is
    installed (which is now the case in our test VMs as cloud-init pulls
    it in).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Dec 2013 11:52:52 +0100

python-tornado (3.1.1-1) unstable; urgency=low

  * New upstream release
    - fixes localhost binding on disabled network (Closes: #711806)
  * drop upstream applied random-port.patch and CVE-2013-2099.patch
  * bump standard to 3.9.5 no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 03 Nov 2013 18:48:51 +0100

python-tornado (2.4.1-3) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Run tests only if DEB_BUILD_OPTIONS=nocheck is not set.

  [ Andrew Starr-Bochicchio ]
  * Backport fix for CVE 2013-2009. Avoid allowing multiple
    wildcards in a single SSL cert hostname segment (Closes: #709069).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 04 Oct 2013 19:18:05 -0400

python-tornado (2.4.1-2) unstable; urgency=low

  [ Julian Taylor ]
  * upload to unstable
  * debian/rules: replace PWD with CURDIR

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 09 May 2013 20:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>
@@ -11,10 +12,10 @@
                python-all (>= 2.6.6-3),
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tornadoweb.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-tornado/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-tornado/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-tornado/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-tornado/trunk/
 XS-Testsuite: autopkgtest
 
 Package: python-tornado

=== debian/tests/control ===
Tests: python2
Depends: python-tornado, python-all, python-twisted, python-pycurl

#py3curl broken (https://github.com/facebook/tornado/issues/671)
Tests: python3
Depends: python3-tornado, python3-all

=== debian/watch ===
version=3
https://github.com/facebook/tornado/tags .*/v(.*).tar.gz

## python-tornado 3.2.0

=== debian/changelog ===
python-tornado (3.2.0-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests/python3: The python3 tests are known-broken when
      python3-pycurl is installed, see
      https://github.com/facebook/tornado/issues/671. Skip them if it is
      installed (which is now the case in our test VMs as cloud-init pulls
      it in).

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Jun 2014 08:58:59 -0400

python-tornado (3.2.0-1) unstable; urgency=medium

  * New upstream release
    - now arch: any package with binary extension for faster websockets

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 23 Feb 2014 20:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-all (>= 2.6.6-3),
-               python3-all,
+               python-all-dev (>= 2.6.6-3),
+               python3-all-dev,
                python3-setuptools
 Standards-Version: 3.9.5
 Homepage: http://www.tornadoweb.org/
@@ -19,7 +19,7 @@
 XS-Testsuite: autopkgtest
 
 Package: python-tornado
-Architecture: all
+Architecture: any
 Depends: ca-certificates,
          python (>= 2.6) | python-simplejson,
          python-pycurl,
@@ -36,7 +36,7 @@
  This is the Python 2 version of the package.
 
 Package: python3-tornado
-Architecture: all
+Architecture: any
 Depends: ca-certificates, ${misc:Depends}, ${python3:Depends}
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is an open source version of the scalable, non-blocking

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])b([0-9]*)/$1~b$2/g \
https://github.com/facebook/tornado/tags .*/v(.*).tar.gz

## python-tornado 3.2.2

=== docs/Makefile ===
SPHINXOPTS=-n -W -d build/doctrees .

.PHONY: sphinx
sphinx:
	sphinx-build -b html $(SPHINXOPTS) build/html

.PHONY: coverage
coverage:
	sphinx-build -b coverage ${SPHINXOPTS} build/coverage
	cat build/coverage/python.txt

.PHONY: latex
latex:
	sphinx-build -b latex $(SPHINXOPTS) build/latex

# Building a pdf requires a latex installation.  For macports, the needed
# packages are texlive-latex-extra and texlive-fonts-recommended.
# The output is in build/latex/tornado.pdf
.PHONY: pdf
pdf: latex
	cd build/latex && pdflatex -interaction=nonstopmode tornado.tex

clean:
	rm -rf build

=== maint/requirements.txt ===
# Frozen pip requirements for tools used in the development of tornado

# Tornado's required dependencies
backports.ssl-match-hostname==3.4.0.2

# Tornado's optional dependencies
Twisted==13.2.0
futures==2.1.5
mock==1.0.1
pycares==0.5.0
pycurl==7.19.0.3

# Other useful tools
Sphinx==1.2
autopep8==0.9.7
coverage==3.7.1
pep8==1.4.6
pyflakes==0.7.3
tox==1.6.1
virtualenv==1.10.1

# Indirect dependencies
Jinja2==2.7.1
MarkupSafe==0.18
Pygments==1.6
docutils==0.11
py==1.4.19
wsgiref==0.1.2
zope.interface==4.0.5

=== debian/changelog ===
python-tornado (3.2.2-1.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * patches/sockopt.patch: New patch to ignore ENOPROTOOPT errors from
    SO_REUSEADDR or SO_ERROR on AF_UNIX sockets, for systems which do not
    implement them there. Thanks Svante Signell for the patch. (Closes: #748903)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Oct 2014 21:14:45 +0200

python-tornado (3.2.2-1) unstable; urgency=medium

  * New upstream release
    - update watchfile to new location
  * skip-timing-tests.patch:
    skip tests that need fast machines (Closes: #751343)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 19 May 2014 21:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>

## python-tornado 4.2.1

=== maint/requirements.txt ===
# Frozen pip requirements for tools used in the development of tornado.
# This list is for python 3.4; for 2.7 add:
# - backports.ssl-match-hostname
# - futures
# - mock
#
# Use virtualenv instead of venv; tox seems to get confused otherwise.

# Tornado's required dependencies
certifi==14.5.14

# Tornado's optional dependencies
Twisted==15.0.0
# pip on python 3.4 currently has trouble installing pycares.
#pycares==0.6.1
pycurl==7.19.5.1

# Other useful tools
Sphinx==1.2.3
autopep8==1.1
coverage==3.7.1
flake8==2.3.0
pep8==1.6.0
pyflakes==0.8.1
sphinx-rtd-theme==0.1.6
tox==1.8.1
twine==1.4.0
virtualenv==12.0.7

# Indirect dependencies
Jinja2==2.7.3
MarkupSafe==0.23
Pygments==2.0.2
docutils==0.12
mccabe==0.3
pkginfo==1.2.1
py==1.4.26
requests==2.5.1
zope.interface==4.1.2

=== debian/changelog ===
python-tornado (4.2.1-1ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:57:20 +0000

python-tornado (4.2.1-1ubuntu2) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Use pymysql as drop in
    replacement for MySQLdb.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 10:29:28 -0400

python-tornado (4.2.1-1ubuntu1) wily; urgency=medium

  * debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 12:48:35 -0400

python-tornado (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/python35-compat.patch: Python 3.5 compatibility fixes
    pulled from upstream.
  * debian/tests/control: Remove an obsolete comment.

 -- Barry Warsaw <barry@debian.org>  Tue, 18 Aug 2015 16:04:34 -0400

python-tornado (4.2.0-1) unstable; urgency=medium

  * Update to latest upstream (Closes: #779035)
  * Remove patches/certs-path.patch and ignore-ca-certificates.patch
    (now useless).
  * Refresh all other patches.
  * Add patches/without-certifi.patch so we directly look where we
    know the certs are.
  * Push standards-version up.
  * Add ca-certificates as a build-dep so tests pass.
  * Add myself as uploaders.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 22 Jun 2015 11:24:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
-           Julian Taylor <jtaylor.debian@googlemail.com>
+           Julian Taylor <jtaylor.debian@googlemail.com>,
+           Julien Puydt <julien.puydt@laposte.net>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev (>= 2.6.6-3),
                python3-all-dev,
-               python3-setuptools
-Standards-Version: 3.9.5
+               python3-setuptools,
+               ca-certificates
+Standards-Version: 3.9.6
 Homepage: http://www.tornadoweb.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-tornado/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-tornado/trunk/
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: python-tornado
 Architecture: any
@@ -24,7 +26,7 @@
          python-pycurl,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python (>= 2.6) | python-multiprocessing, python-mysqldb
+Recommends: python (>= 2.6) | python-multiprocessing, python-pymysql
 Description: scalable, non-blocking web server and tools
  Tornado is an open source version of the scalable, non-blocking
  web server and tools that power FriendFeed. The FriendFeed application

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,12 @@
 	rm -rf *.egg-info
 
 override_dh_auto_test:
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
 	# python3 tests only in autopkgtest because I'm lazy
 	set -e && for pyvers in $(PYTHON2); do \
-	    PYTHONPATH=$(PWD) python$$pyvers ./tornado/test/runtests.py; \
+	    PYTHONPATH=$(CURDIR) python$$pyvers ./tornado/test/runtests.py; \
 	done
+endif
 
 override_dh_compress:
 	dh_compress -X.py

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])b([0-9]*)/$1~b$2/g \
https://github.com/tornadoweb/tornado/tags .*/v(.*).tar.gz

## python-tornado 4.3.0

=== maint/requirements.txt ===
# Frozen pip requirements for tools used in the development of tornado.
# This list is for python 3.5; for 2.7 add:
# - backports.ssl-match-hostname
# - futures
# - mock
#
# Use virtualenv instead of venv; tox seems to get confused otherwise.

# Tornado's required dependencies
certifi==2015.9.6.2

# Tornado's optional dependencies
Twisted==15.4.0
pycares==1.0.0
pycurl==7.19.5.1

# Other useful tools
Sphinx==1.3.1
autopep8==1.2.1
coverage==4.0
flake8==2.4.1
pep8==1.6.2
pyflakes==1.0.0
sphinx-rtd-theme==0.1.9
tox==2.1.1
twine==1.6.2
virtualenv==13.1.2

# Indirect dependencies
alabaster==0.7.6
Babel==2.1.1
docutils==0.12
Jinja2==2.8
MarkupSafe==0.23
mccabe==0.3.1
pkginfo==1.2.1
pluggy==0.3.1
py==1.4.30
Pygments==2.0.2
pytz==2015.6
requests==2.7.0
requests-toolbelt==0.4.0
six==1.9.0
snowballstemmer==1.2.0
wheel==0.24.0
zope.interface==4.1.2

=== debian/changelog ===
python-tornado (4.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload
  * Added Build-Depends to dh-python and python-setuptools
  * Added ${shlibs:Depends} and removed lintian override for libc
  * Lintian tag rename:
    privacy-breach-may-use-debian-package -> privacy-breach-uses-embedded-file

  [ Gianfranco Costamagna, Ondřej Nový ]
  * debian/patches/0007-Fix-testsuite-failure-when-sockets-is-not-defined.patch:
    fix testsuite when sockets is not defined.
    - https://github.com/tornadoweb/tornado/pull/1725

 -- Ondřej Nový <novy@ondrej.org>  Tue, 24 May 2016 11:25:26 +0200

python-tornado (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches (and dropped the Python 3.5 patch -- gone upstream).
  * Added dep on singledispatch and backports_abc.
  * Added lintian override for the facebook example (not a privacy breach)
  * Added lintian overrides for sample.xml compressed versions.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 21 May 2016 21:57:17 +0000

python-tornado (4.2.1-2) unstable; urgency=medium

  * Team upload.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Ondřej Nový ]
  * Fixed VCS URL (https).

  [ Mattia Rizzolo ]
  * Add a patch to skip failing test and fix ftbfs on hurd.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compat level to 9.
  * Build using pybuild.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Apr 2016 08:45:36 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,21 @@
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
-           Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 7.0.50~),
-               python-all-dev (>= 2.6.6-3),
+           Julien Puydt <julien.puydt@laposte.net>,
+Build-Depends: ca-certificates,
+               debhelper (>= 9),
+               dh-python,
+               python-all-dev,
+               python-backports-abc,
+               python-singledispatch,
+               python-setuptools,
                python3-all-dev,
                python3-setuptools,
-               ca-certificates
-Standards-Version: 3.9.6
+               python3-singledispatch,
+Standards-Version: 3.9.8
 Homepage: http://www.tornadoweb.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-tornado/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-tornado/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tornado.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tornado.git
 Testsuite: autopkgtest
 
 Package: python-tornado
@@ -25,8 +30,10 @@
          python (>= 2.6) | python-simplejson,
          python-pycurl,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python (>= 2.6) | python-multiprocessing, python-pymysql
+         ${python:Depends},
+         ${shlibs:Depends},
+Recommends: python (>= 2.6) | python-multiprocessing,
+            python-mysqldb,
 Description: scalable, non-blocking web server and tools
  Tornado is an open source version of the scalable, non-blocking
  web server and tools that power FriendFeed. The FriendFeed application
@@ -38,7 +45,10 @@
 
 Package: python3-tornado
 Architecture: any
-Depends: ca-certificates, ${misc:Depends}, ${python3:Depends}
+Depends: ca-certificates,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is an open source version of the scalable, non-blocking
  web server and tools that power FriendFeed. The FriendFeed application

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=tornado
export PYBUILD_TEST_ARGS_python2={interpreter} ./tornado/test/runtests.py
# python3 tests are covered in autopkgtest only for now
export PYBUILD_TEST_ARGS_python3=echo skipping python3 tests for now

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test

override_dh_compress:
	dh_compress -X.py

## python-tornado 4.4.2

=== maint/requirements.txt ===
alabaster==0.7.7
autopep8==1.2.2
Babel==2.3.2
coverage==4.0.3
docutils==0.12
flake8==2.5.4
imagesize==0.7.0
Jinja2==2.8
MarkupSafe==0.23
mccabe==0.4.0
pep8==1.7.0
pkginfo==1.2.1
pluggy==0.3.1
py==1.4.31
pycares==1.0.0
pycurl==7.43.0
pyflakes==1.1.0
Pygments==2.1.3
pytz==2016.3
requests==2.9.1
requests-toolbelt==0.6.0
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.4
sphinx-rtd-theme==0.1.9
tox==2.3.1
twine==1.6.5
Twisted==16.1.0
virtualenv==15.0.1
zope.interface==4.1.3

=== debian/changelog ===
python-tornado (4.4.2-1~bpo8+2) jessie-backports; urgency=medium

  * Remove OR from B-D, because wanna-build doesn't consider alternatives

 -- Ondřej Nový <onovy@debian.org>  Mon, 19 Dec 2016 12:16:21 +0100

python-tornado (4.4.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Sat, 26 Nov 2016 13:59:09 +0100

python-tornado (4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Push dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 07 Oct 2016 15:58:20 +0200

python-tornado (4.4.1-2) unstable; urgency=medium

  * Prevent internet access during build (Closes: #833351)
    - Use local objects.inv for intersphinx mapping
    - Skip domain resolving tests

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Aug 2016 15:20:50 +0200

python-tornado (4.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #830859)
  * Rearranged lintian overrides for new release
  * Added myself as uploader
  * Removed python-simplejson and python-multiprocessing from B-D/R,
    because Python < 2.6 is not supported anymore (Closes: #826455)
  * Moved python-mysqldb from Recommends to Suggests, it's only used in demo
  * Moved python{3,}-pycurl from Depends to Suggests, it's not strictly needed
    and added to B-D to run related unit tests
  * Added python-concurrent.futures to Build-Depends and Recommends
  * Added python{3,}-twisted to Build-Depends and Suggests
  * Added python{3,}-mock to Build-Depends
  * d/copyright: Added myself to Debian part
  * Package description changed to upstream (newer) version
  * Rearranged Debian tests Depends to Build-Depends
  * Run Py3 unit tests during build and enable verbose mode
  * Bumped required Python version to 2.7 and 3.3
  * Added python-tornado-doc package with docs and examples
  * Enabled all but PIE hardening
  * Generate upstream changelog file during build
  * Added python3-backports-abc to B-D for older Python 3

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 16:48:24 +0200

=== debian/control ===
Source: python-tornado
Section: web
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Julian Taylor <jtaylor.debian@googlemail.com>,
           Julien Puydt <julien.puydt@laposte.net>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: ca-certificates,
               debhelper (>= 10),
               dh-python,
               python-all-dev,
               python-backports-abc,
               python-concurrent.futures,
               python-mock,
               python-pycurl,
               python-setuptools,
               python-singledispatch,
               python-twisted,
               python3-all-dev,
               python3-backports-abc,
               python3-doc,
               python3-mock,
               python3-pycurl,
               python3-setuptools,
               python3-singledispatch,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-twisted,
Standards-Version: 3.9.8
Homepage: http://www.tornadoweb.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tornado.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tornado.git
Testsuite: autopkgtest

Package: python-tornado
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: python-mysqldb,
          python-pycurl,
          python-tornado-doc,
          python-twisted,
Recommends: python-concurrent.futures,
Description: scalable, non-blocking web server and tools
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This is the Python 2 version of the package.

Package: python3-tornado
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python3-pycurl,
          python-tornado-doc,
          python3-twisted,
Description: scalable, non-blocking web server and tools - Python 3 package
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This is the Python 3 version of the package.

Package: python-tornado-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-doc,
Description: scalable, non-blocking web server and tools - documentation
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PYBUILD_NAME=tornado
export PYBUILD_TEST_ARGS={interpreter} ./tornado/test/runtests.py --verbose
# py3 tests is failling without this
export HOME=/tmp

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYTHONPATH=. dh_auto_test

override_dh_compress:
	dh_compress -X.py

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	rm -f debian/upstream-changelog
	set -e ; for i in $$(find docs/releases/ -name "*.rst" | sort -V -r) ; do \
		cat $$i ; \
		echo "" ; \
	done >>debian/upstream-changelog

	dh_installchangelogs debian/upstream-changelog

## python-tornado 4.4.3

=== debian/changelog ===
python-tornado (4.4.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * No longer disable PIE during build

 -- Ondřej Nový <onovy@debian.org>  Thu, 13 Apr 2017 14:57:17 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python-singledispatch,
                python-twisted,
                python3-all-dev,
-               python3-backports-abc,
+               python3 (>= 3.5) | python3-backports-abc,
                python3-doc,
                python3-mock,
                python3-pycurl,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=tornado
 export PYBUILD_TEST_ARGS={interpreter} ./tornado/test/runtests.py --verbose
 # py3 tests is failling without this

## python-tornado 4.5.1

=== debian/changelog ===
python-tornado (4.5.1-2.1~build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:29:23 +1200

python-tornado (4.5.1-2.1~build1) artful; urgency=medium


  [ Simon Quigley ]
  * Upload a no-change rebuild from Debian, to drop
    the Ubuntu delta (LP: #1699426)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2017 15:02:22 +0200

python-tornado (4.5.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 19:29:13 +0200

python-tornado (4.5.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright
    - Bump my copyright year
    - Adjust for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 May 2017 16:23:50 +0200

## python-tornado 4.5.2

=== debian/changelog ===
python-tornado (4.5.2-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Bump d/watch to version 4.
  * d/control: Remove Testsuite: autopkgtest, it's not needed

  [ Ondřej Nový ]
  * Bump std-ver to 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 21:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -30,11 +30,10 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-twisted,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.tornadoweb.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tornado.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tornado.git
-Testsuite: autopkgtest
 
 Package: python-tornado
 Architecture: any

## python-tornado 4.5.3

=== maint/requirements.txt ===
alabaster==0.7.10
appdirs==1.4.3
args==0.1.0
attrs==16.3.0
Automat==0.5.0
autopep8==1.3.1
Babel==2.4.0
clint==0.5.1
constantly==15.1.0
coverage==4.3.4
docutils==0.13.1
flake8==3.3.0
imagesize==0.7.1
incremental==16.10.1
Jinja2==2.9.6
MarkupSafe==1.0
mccabe==0.6.1
packaging==16.8
pep8==1.7.0
pkginfo==1.4.1
pluggy==0.4.0
py==1.4.33
pycares==2.1.1
pycodestyle==2.3.1
pycurl==7.43.0
pyflakes==1.5.0
Pygments==2.2.0
pyparsing==2.2.0
pytz==2017.2
requests==2.13.0
requests-toolbelt==0.7.1
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.5.5
sphinx-rtd-theme==0.2.4
tox==2.7.0
twine==1.8.1
Twisted==17.1.0
virtualenv==15.1.0
zope.interface==4.3.3

=== debian/changelog ===
python-tornado (4.5.3-1ubuntu0.2) bionic; urgency=low

  * d/p/0001-lp1903733-read-queue-of-1-message.patch (LP: #1903733)
    - fixes potential oom error with python-tornado client websocket
  * d/p/0002-lp1903733-Remove-unused-import.patch
    - code clean up

 -- Heather Lemon <heather.lemon@canonical.com>  Tue, 12 Jan 2021 20:57:40 +0000

python-tornado (4.5.3-1ubuntu0.1) bionic; urgency=medium

  * Cherrypick patches from python-tornado4 4.5.3-2 package, to
    enable OpenSSL 1.1.1 support LP: #1797386:
    - New_test_crt.patch regenerate stronger test certificates
    - skip-failing-tests.patch skip some ssl tests failing with OpenSSL 1.1.1

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 May 2019 10:18:12 +0100

python-tornado (4.5.3-1) unstable; urgency=medium

  * New upstream release
  * Bump std-ver to 4.1.3 (no changes needed)
  * Push dh compat to 11
  * d/copyright: Bump my copyright year
  * Move docs and examples into /usr/share/python-tornado
  * Override wrong-section-according-to-package-name for python3-tornado too

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Jan 2018 14:02:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
            Julien Puydt <julien.puydt@laposte.net>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: ca-certificates,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-python,
                python-all-dev,
                python-backports-abc,
@@ -30,7 +31,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-twisted,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.tornadoweb.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tornado.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tornado.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado-doc/html
+	sphinx-build -b html docs $(CURDIR)/debian/python-tornado-doc/usr/share/doc/python-tornado/html
 	dh_sphinxdoc
 endif

## python-tornado 5.0.0

=== debian/changelog ===
python-tornado (5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Add Breaks: python{,3}-zmq (<< 17) (Closes: #893360)

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 21 Mar 2018 08:54:46 +0100

python-tornado (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Julien Puydt ]
  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 13 Mar 2018 23:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
            Julian Taylor <jtaylor.debian@googlemail.com>,
@@ -33,8 +32,8 @@
                python3-twisted,
 Standards-Version: 4.1.3
 Homepage: http://www.tornadoweb.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tornado.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tornado.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado
 
 Package: python-tornado
 Architecture: any
@@ -47,6 +46,7 @@
           python-tornado-doc,
           python-twisted,
 Recommends: python-concurrent.futures,
+Breaks: python-zmq (<< 17)
 Description: scalable, non-blocking web server and tools
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,
@@ -65,6 +65,7 @@
 Suggests: python3-pycurl,
           python-tornado-doc,
           python3-twisted,
+Breaks: python3-zmq (<< 17)
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,

## python-tornado 5.0.2

=== debian/changelog ===
python-tornado (5.0.2-1build1) cosmic; urgency=medium

  * No-change rebuild to add python3.7 support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:53:35 +0000

python-tornado (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * Breaks python{,3}-zmq (<< 17.0.0-1~), because we need patch
    from -1 Debian version
  * Bump std-ver to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 11 Apr 2018 16:31:50 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-twisted,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.tornadoweb.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-tornado.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tornado
@@ -46,7 +46,7 @@
           python-tornado-doc,
           python-twisted,
 Recommends: python-concurrent.futures,
-Breaks: python-zmq (<< 17)
+Breaks: python-zmq (<< 17.0.0-1~)
 Description: scalable, non-blocking web server and tools
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,
@@ -65,7 +65,7 @@
 Suggests: python3-pycurl,
           python-tornado-doc,
           python3-twisted,
-Breaks: python3-zmq (<< 17)
+Breaks: python3-zmq (<< 17.0.0-1~)
 Description: scalable, non-blocking web server and tools - Python 3 package
  Tornado is a Python web framework and asynchronous networking library,
  originally developed at FriendFeed. By using non-blocking network I/O,
